import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { MasterCategoryComponent } from "./master-category/master-category.component";
import { MasterTypeComponent } from "./master-type/master-type.component";

import { RouterModule } from "@angular/router";
import { ChartistModule } from "ng-chartist";
import { NgxDatatableModule } from "@swimlane/ngx-datatable";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { NgbModule } from "@ng-bootstrap/ng-bootstrap";
import { NgChartsModule } from "ng2-charts";
import { BlockUIModule } from "ng-block-ui";
import { PerfectScrollbarModule } from "ngx-perfect-scrollbar";
import { BlockTemplateComponent } from "src/app/_layout/blockui/block-template.component";
import { CardModule } from "../../partials/general/card/card.module";
import { MatchHeightModule } from "../../partials/general/match-height/match-height.module";
import { BreadcrumbModule } from "src/app/_layout/breadcrumb/breadcrumb.module";
import { MasterStatusComponent } from "./master-status/master-status.component";
import { MasterDurationUseComponent } from "./master-duration-use/master-duration-use.component";
import { MasterUserComponent } from "./master-user/master-user.component";
import { MasterRoleComponent } from "./master-role/master-role.component";
import { AddEditMasterComponent } from "./add-edit-master/add-edit-master.component";
import { MasterVoltageComponent } from "./master-voltage/master-voltage.component";
import { MasterFloorComponent } from "./master-floor/master-floor.component";
import { MasterRoomComponent } from "./master-room/master-room.component";
import { MasterBuildingComponent } from "./master-building/master-building.component";
import { AddEditMasterBuildingComponent } from "./master-building/add-edit-master-building/add-edit-master-building.component";
import { AddEditMasterRoomComponent } from "./master-room/add-edit-master-room/add-edit-master-room.component";
import { ToastrModule } from "ngx-toastr";
import { SelectIconModule } from "../component/select-icon/select-icon.module";
import { NgSelectModule } from "@ng-select/ng-select";

@NgModule({
  declarations: [
    MasterCategoryComponent,
    MasterTypeComponent,
    MasterStatusComponent,
    MasterDurationUseComponent,
    MasterUserComponent,
    MasterRoleComponent,
    AddEditMasterComponent,
    MasterVoltageComponent,
    MasterFloorComponent,
    MasterRoomComponent,
    MasterBuildingComponent,
    AddEditMasterBuildingComponent,
    AddEditMasterRoomComponent,
  ],
  imports: [
    CommonModule,
    ChartistModule,
    FormsModule,
    NgChartsModule,
    CardModule,
    MatchHeightModule,
    NgxDatatableModule,
    PerfectScrollbarModule,
    BreadcrumbModule,
    ReactiveFormsModule,
    SelectIconModule,
    NgSelectModule,
    ToastrModule.forRoot(),
    NgbModule,
    BlockUIModule.forRoot({
      template: BlockTemplateComponent,
    }),
    RouterModule.forChild([
      {
        path: "master-category",
        component: MasterCategoryComponent,
      },
      {
        path: "master-floor",
        component: MasterFloorComponent,
      },
      {
        path: "master-voltage",
        component: MasterVoltageComponent,
      },
      {
        path: "master-type",
        component: MasterTypeComponent,
      },
      {
        path: "master-status",
        component: MasterStatusComponent,
      },
      {
        path: "master-duration-use",
        component: MasterDurationUseComponent,
      },
      {
        path: "master-user",
        component: MasterUserComponent,
      },
      {
        path: "master-role",
        component: MasterRoleComponent,
      },
      {
        path: "master-room",
        component: MasterRoomComponent,
      },
      {
        path: "master-building",
        component: MasterBuildingComponent,
      },
    ]),
  ],
})
export class MasterModule {}
